{ nix-config, config, lib, pkgs, inputs, ... }:
{

  imports = with nix-config.homeModules; [
    shell-conf # shell, shell utils, cli tools, libs, tui's
    git-conf
  ];

  home = {
    packages = with pkgs; [
      cifs-utils
      beets
      wezterm
    ];

    username = "media";
    homeDirectory = "/home/media";

    sessionVariables = {
      NH_FLAKE = "\${HOME}/nixos-config";
    };


    stateVersion = "25.05";
  };

  programs = {
    home-manager.enable = true;
    password-store.enable = true;
  };

  systemd.user = {
    enable = true;
    startServices = "sd-switch"; # auto reload services when home is rebuilt
  };
}
